MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029716Community[OCCT] OCCT:Data Exchangepublic2018-04-23 16:462018-11-11 12:01
Reporterdrazmyslovich 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029716: Some TDF and XCAFDoc labels-related issues
DescriptionUsing the API of TDF and XCAFDoc for copying the documents and relocating the attributes between the different parts I found several issues. Some of them are critical:
1. "Descendants" closure mode is not taken into account by TDF closure tool
2. CopyTool always creates a new label at the target ignoring the relocation table
3. XCAFDoc_GraphNode throws an exception if Child of Father is not found during the unsetting
Steps To ReproduceSince the usage code is a part of my application, I can't provide any steps to reproduce. Still, the fixed issues are easily observable from the code.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0075610)
git (administrator)
2018-04-23 16:48

Branch CR29716 has been created by drazmyslovich.

SHA-1: 5adfaa428c8def363efd1ec6753f8e57b333a14a


Detailed log of new commits:

Author: drazmyslovich
Date: Mon Apr 23 15:47:52 2018 +0200

    0029716: Fix the following issues -
    1. "Descendants" closure mode is not taken into account by TDF closure tool
    2. CopyTool always creates a new label at the target ignoring the relocation table
    3. XCAFDoc_GraphNode throws an exception if Child of Father is not found during the unsetting
(0075611)
drazmyslovich (developer)
2018-04-23 16:48

Dear gka. The branch is ready for review. Thank you.
(0080741)
gka (developer)
2018-11-06 13:58

Dear Mikhail
Modifications in the XCAFDoc_GraphNode were reviewed.
Could you please review modifications in the TDF_CopyTool
(0080779)
mpv (developer)
2018-11-06 16:59

For me it is ok. Please, test.
(0080783)
git (administrator)
2018-11-06 17:39

Branch CR29716 has been updated forcibly by inv.

SHA-1: 92399930b1df426b97a7cf8ea8cfc9e833b9aaa9
(0080812)
bugmaster (administrator)
2018-11-07 11:43

Combination -
OCCT branch : CR29716 SHA - 92399930b1df426b97a7cf8ea8cfc9e833b9aaa9
Products branch : master SHA - 4525a60ddf97fbcad482f1351d777d1e352a8307
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 4498.069999999877 / 4489.799999999858 [+0.18%]
Products
Total CPU difference: 7048.440000000028 / 7035.140000000028 [+0.19%]
Windows-64-VC14:
OCCT
Total CPU difference: 17583.703125 / 17600.625 [-0.10%]
Products
Total CPU difference: 8499.21875 / 8526.203125 [-0.32%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0081041)
git (administrator)
2018-11-11 12:01

Branch CR29716 has been deleted by inv.

SHA-1: 92399930b1df426b97a7cf8ea8cfc9e833b9aaa9

- Related Changesets
occt: master 6e779194
Timestamp: 2018-04-23 13:47:52
Author: drazmyslovich
Committer: bugmaster
Details ] Diff ]
0029716: Some TDF and XCAFDoc labels-related issues

1. "Descendants" closure mode is not taken into account by TDF closure tool
2. CopyTool always creates a new label at the target ignoring the relocation table
3. XCAFDoc_GraphNode throws an exception if Child of Father is not found during the unsetting
mod - src/TDF/TDF_ClosureTool.cxx Diff ] File ]
mod - src/TDF/TDF_CopyTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GraphNode.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-04-23 16:46 drazmyslovich New Issue
2018-04-23 16:46 drazmyslovich Assigned To => gka
2018-04-23 16:48 git Note Added: 0075610
2018-04-23 16:48 drazmyslovich Note Added: 0075611
2018-04-23 16:48 drazmyslovich Status new => resolved
2018-04-23 16:55 drazmyslovich Product Version => 7.1.0
2018-11-06 13:55 gka Assigned To gka => mpv
2018-11-06 13:58 gka Note Added: 0080741
2018-11-06 16:59 mpv Note Added: 0080779
2018-11-06 16:59 mpv Assigned To mpv => bugmaster
2018-11-06 16:59 mpv Status resolved => reviewed
2018-11-06 17:39 git Note Added: 0080783
2018-11-07 11:43 bugmaster Test case number => Not needed
2018-11-07 11:43 bugmaster Note Added: 0080812
2018-11-07 11:43 bugmaster Status reviewed => tested
2018-11-11 11:52 bugmaster Changeset attached => occt master 6e779194
2018-11-11 11:52 bugmaster Status tested => verified
2018-11-11 11:52 bugmaster Resolution open => fixed
2018-11-11 12:01 git Note Added: 0081041


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker